%define packrel  9
%define packname wavethresh

Summary: R module, Software to perform wavelet statistics and transforms
Name: R-%{packname}
Version: 2.2
Release: 6%{?dist}
License: GPL
Group: Applications/Engineering
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}-%{packrel}.tar.gz
URL: http://cran.r-project.org/contrib/main/Descriptions/wavethresh.html

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: R >= 2.1
BuildRequires: R >= 2.1, tetex-latex


%description
Software to perform 1-d and 2-d wavelet statistics and transforms

%prep
%setup -q -n %{packname}

%build

%install
%{__rm} -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library
cd ..; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

%check
cd ..;%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%post
%{__cat} %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%postun
%{__cat} %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%files
%defattr(-, root, root, -)
%{_libdir}/R/library/%{packname}
%doc DESCRIPTION

%changelog
* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 2.2-6
- Rebuild for R 2.5.

* Tue Oct 17 2006 José Matos <jamatos[AT]fc.up.pt> - 2.2-5
- Rebuild for R 2.4.0.

* Thu Sep 14 2006 José Matos <jamatos@fc.up.pt> - 2.2-4
- New upstream version 2.2-9.

* Sun Jun  4 2006 José Matos <jamatos@fc.up.pt> - 2.2-3
- Rebuild for R-2.3.x

* Wed Mar  8 2006 Jose' Matos <jamatos@fc.up.pt> - 2.2-2
- Rename License to simply GPL, added DESCRIPTION to %%doc

* Fri Mar 03 2006 José Matos <jamatos@fc.up.pt> 2.2-1
- Initial package creation
    
